Skip to main content
`Ctrl`+`K`

# PEPCISSSetRefinement

Sets the values of various refinement parameters in the CISS solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSSetRefinement(PEP pep,PetscInt inner,PetscInt blsize)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- inner - number of iterative refinement iterations (inner loop)

- blsize - number of iterative refinement iterations (blocksize loop)

## Options Database Keys

- -pep_ciss_refine_inner inner - sets number of inner iterations

- -pep_ciss_refine_blocksize blsize - sets number of blocksize iterations

## Note

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default of 0 (no refinement).

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCISS`, `PEPCISSGetRefinement()`

## Level

advanced

## Location

src/pep/impls/ciss/pciss.c

## Implementations

PEPCISSSetRefinement_CISS() in src/pep/impls/ciss/pciss.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages